using ApiB.Localization;
using Volo.Abp.Authorization.Permissions;
using Volo.Abp.Localization;

namespace ApiB.Permissions
{
    public class ApiBPermissionDefinitionProvider : PermissionDefinitionProvider
    {
        public override void Define(IPermissionDefinitionContext context)
        {
            var myGroup = context.AddGroup(ApiBPermissions.GroupName);

            //Define your own permissions here. Example:
            //myGroup.AddPermission(ApiBPermissions.MyPermission1, L("Permission:MyPermission1"));
        }

        private static LocalizableString L(string name)
        {
            return LocalizableString.Create<ApiBResource>(name);
        }
    }
}
